<?php
/**
*
* @package phpBB3
* @version $Id: hellotag.php 01/15/2010 austin881 $
* @copyright (c) 2010 ModernDignity.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* Include only once.
*/
if (!defined('INCLUDES_HELLOTAG_PHP'))
{
	define('INCLUDES_HELLOTAG_PHP', true);
	
	global $config, $user, $db, $phpbb_root_path, $phpEx, $template;

    $user->add_lang('mods/hellotag_lang');
	
	// an array of user types we dont bother with. could add board founder (USER_FOUNDER) if wanted
	$ignore_users = array(USER_IGNORE, USER_INACTIVE);
		
	// grab most recent registered user
	$sql = 'SELECT user_id, username, user_colour, user_regdate, user_from, user_occ, user_avatar, user_avatar_type, user_avatar_width, user_avatar_height, user_allow_pm
		FROM ' . USERS_TABLE . '
		WHERE ' . $db->sql_in_set('user_type', $ignore_users, true) . '
			AND user_inactive_reason = 0
		ORDER BY user_regdate DESC';
	$result = $db->sql_query_limit($sql, 1);
	$row = $db->sql_fetchrow($result);
	$db->sql_freeresult($result);

	$user_id = $row['user_id'];
			
	// Limit topic text link to $char_limit, without breaking words
	$char_limit = 38;
	$occ = censor_text($row['user_occ']);
	$from = censor_text($row['user_from']);
	$user_occ = $char_limit > 0 && ( ( $length = utf8_strlen($occ) ) > $char_limit ) ? ( utf8_strlen($fragment = utf8_substr($occ, 0, $char_limit + 1 - 4)) < $length + 1 ? preg_replace('`\s*\S*$`', '', $fragment) . '...' : $occ ) : $occ;
	$user_from = $char_limit > 0 && ( ( $length = utf8_strlen($from) ) > $char_limit ) ? ( utf8_strlen($fragment = utf8_substr($from, 0, $char_limit + 1 - 4)) < $length + 1 ? preg_replace('`\s*\S*$`', '', $fragment) . '...' : $from ) : $from;

	$template->assign_vars(array(
		'HELLOTAG_REGDATE'			=> $user->format_date($row['user_regdate']),
		'HELLOTAG_USERNAME'			=> get_username_string('full', $user_id, $row['username']),
		'HELLOTAG_USER_FROM'		=> (!empty($user_from)) ? $user_from : '',
		'HELLOTAG_USER_OCC'			=> $user_occ,
		'HELLOTAG_AVATAR'			=> get_user_avatar($row['user_avatar'], $row['user_avatar_type'], $row['user_avatar_width'], $row['user_avatar_height']),
		'U_HELLOTAG_PM'				=> ($config['allow_privmsg'] && $row['user_allow_pm']) ? append_sid("{$phpbb_root_path}ucp.$phpEx", 'i=pm&amp;mode=compose&amp;u=' . $user_id) : '',
		'U_HELLOTAG_SEARCH_USER'	=> append_sid("{$phpbb_root_path}search.$phpEx", "author_id=$user_id&amp;sr=posts"),
		'U_HELLOTAG_VIEW_PROFILE'	=> append_sid("{$phpbb_root_path}memberlist.$phpEx", 'mode=viewprofile&amp;u=' . $user_id),
	));
	
/*	// Required to get custom profile fields
	$profile_fields = array();
	if ($config['load_cpf_viewprofile'])
	{
		include_once($phpbb_root_path . 'includes/functions_profile_fields.' . $phpEx);
		$cp = new custom_profile();
		$profile_fields = $cp->generate_profile_fields_template('grab_all', $user_id);
		$profile_fields = (isset($profile_fields[$user_id])) ? $cp->generate_profile_fields_template('show', false, $profile_fields[$user_id]) : array();
	}
	
	if (!empty($profile_fields['row']))
	{
		$template->assign_vars($profile_fields['row']);
	}
*/		
}

?>